## org.eclipse.amp.amf.parameters.aPar
Interface Model

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ModelImpl

    public interface Model

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Model'.

The following features are supported:

- `Name`
- `Model`
- `Incorporates`
- `Parameters`

See Also:
  `AParPackage.getModel()`

Method Summary
`org.eclipse.emf.common.util.EList<Incorporates>` `getIncorporates()` Returns the value of the 'Incorporates' containment reference list.
`Import` `getModel()` Returns the value of the 'Model' containment reference.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`org.eclipse.emf.common.util.EList<Parameter>` `getParameters()` Returns the value of the 'Parameters' containment reference list.
`void` `setModel(Import value)` Sets the value of the '`Model`' containment reference.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `AParPackage.getModel_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getModel

    Import getModel()

  Returns the value of the 'Model' containment reference.

  If the meaning of the 'Model' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model' containment reference.
  See Also:
    `setModel(Import)`, `AParPackage.getModel_Model()`

### setModel

    void setModel(Import value)

  Sets the value of the '`Model`' containment reference.

  Parameters:
    `value` - the new value of the 'Model' containment reference.
  See Also:
    `getModel()`

### getIncorporates

    org.eclipse.emf.common.util.EList<Incorporates> getIncorporates()

  Returns the value of the 'Incorporates' containment reference list. The list contents are of type `Incorporates`.

  If the meaning of the 'Incorporates' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Incorporates' containment reference list.
  See Also:
    `AParPackage.getModel_Incorporates()`

### getParameters

    org.eclipse.emf.common.util.EList<Parameter> getParameters()

  Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`.

  If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `AParPackage.getModel_Parameters()`